#!/bin/bash

# 백엔드 빌드
echo "VaultKeeper 백엔드를 빌드합니다..."
go build -o vaultkeeper -ldflags "-s -w" main.go

if [ $? -ne 0 ]; then
    echo "빌드 실패."
    exit 1
fi

echo "빌드 성공. VaultKeeper를 실행합니다..."
echo "-----------------------------------"

# VaultKeeper 실행
./vaultkeeper
